Fs = 44100;
FrameSize = 1024;
AR = dsp.AudioRecorder('OutputNumOverrunSamples',true,...
   'SampleRate',Fs,'SamplesPerFrame',FrameSize);
TS = dsp.TimeScope('YLimits',[-.05,.05],'SampleRate',Fs,...
    'TimeSpan',FrameSize/Fs);
SPG = dsp.SpectrumAnalyzer('SampleRate',Fs,'SpectrumType','Spectrogram');
SA = dsp.SpectrumAnalyzer('SampleRate',Fs,...
   'FrequencySpan','Start and stop frequencies',...
   'StartFrequency',-2000,'StopFrequency',2000);
disp('Speak into microphone now');
tic;
while toc < 90,
  [audioIn,nOverrun] = step(AR);
  step(TS,audioIn);
  step(SA, audioIn);
  step(SPG, audioIn);
  %   if nOverrun > 0
  %     fprintf('Audio recorder queue was overrun by %d samples\n'...
  %         ,nOverrun);
  %   end
end
% release(AR); release(hsa); release(TS);


